<?php 

	//* defino acceso al sistema WebyPlus */
	define( 'YPANEL_INI', true );
	//* defino camino a librerias del sistema
	include_once( dirname(__DIR__) . '/.ypanel.php' );
	// Data.y
	$data_uri = _DIR_PAQUETE . YDS . '.ypanel/Data.y';
	
	// -- Leo los datos
		$json = file_get_contents( $data_uri ); 
		$data = json_decode($json, true); 
						
	if( $_POST ){
		if( isset( $_POST['fverdemo'] ) ){
			$data['version_demo'] = 0;
		}
		
		if( isset( $_POST['fcron'] ) ){
			$data['cron_buscar_actualizacion']	= 0;
			$data['cron_enviar_error']			= 0;
			$data['cron_extenciones']			= 0;
			
			if( isset( $_POST['listCronExt'] ) ){
				$pathMiCron	= _DIR_PAQUETE . YDS . 'crons' . YDS . 'miscript.php';
				file_put_contents( $pathMiCron, "<?php \n" . $_POST['listCronExt'] . "\n ?>" );
			}
		}
		
		foreach( $_POST as $c => $v ){
			$data[$c] = $v;
		}
		
		msg_error( 'Se guardaron los datos correctamente', '', 'alert-success' );
	}
	
	// -- Guardo las modificciones
		$json = json_encode($data); 
		file_put_contents($data_uri, $json);
	
	echo _error();
			 
?>	